curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=checkout-link-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"offerId": "867f5b309118",
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "checkout-link-1",
"name": "My Checkout Link Offer",
"displayName": "My Checkout Link Offer",
"type": "CheckoutLink",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"playerAvailability": 12,
"products": [
{
"priority": "Sub",
"publisherProductId": "6cb43621ccf1",
"quantity": "100"
}
],
"priceInUsdCents": 1000,
"playerClickedTtl": 300
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"description": "This is my checkout link offer description.",
"deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-04-06T10:00:44.528Z"
}
]
}
Checkout Link Offers
Get Checkout Link Offer
Retrieves one or more checkout link offers.
GET
/
v2
/
offer
curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=checkout-link-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"offerId": "867f5b309118",
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "checkout-link-1",
"name": "My Checkout Link Offer",
"displayName": "My Checkout Link Offer",
"type": "CheckoutLink",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"playerAvailability": 12,
"products": [
{
"priority": "Sub",
"publisherProductId": "6cb43621ccf1",
"quantity": "100"
}
],
"priceInUsdCents": 1000,
"playerClickedTtl": 300
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"description": "This is my checkout link offer description.",
"deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-04-06T10:00:44.528Z"
}
]
}
curl -X GET \
'https://api.appcharge.com/v2/offer?publisherOfferIds=checkout-link-1' \
-H 'Content-Type: application/json' \
-H 'x-publisher-token: <x-publisher-token>'
{
"totalCount": 1,
"offers": [
{
"offerId": "867f5b309118",
"publisherId": "35nb7861ec9924a6b69a0fe59",
"publisherOfferId": "checkout-link-1",
"name": "My Checkout Link Offer",
"displayName": "My Checkout Link Offer",
"type": "CheckoutLink",
"active": true,
"segments": [
"New User"
],
"productsSequence": [
{
"index": 1,
"playerAvailability": 12,
"products": [
{
"priority": "Sub",
"publisherProductId": "6cb43621ccf1",
"quantity": "100"
}
],
"priceInUsdCents": 1000,
"playerClickedTtl": 300
}
],
"badges": [
{
"publisherBadgeId": "22ac77ff889b"
}
],
"productSale": {
"type": "percentage",
"sale": 100
},
"priceDiscount": {
"type": "percentage",
"discount": 20
},
"description": "This is my checkout link offer description.",
"deeplinkUrl": "https://best-game.appcharge.com/login/campaign/YL2bAHqnuSMBhXIwMJbEM",
"createdAt": "2025-04-06T10:00:44.528Z",
"updatedAt": "2025-04-06T10:00:44.528Z"
}
]
}
Headers
The publisher token used for authentication.
Query Parameters
The unique identifier for the offer. To retrieve multiple checkout link offers, separate them with a comma.
Example:
"checkout-link-1,checkout-link-2"
Was this page helpful?
⌘I
